Subject: Re: Virtual Link

From: Joseph Placid <[email-masked]>
Date: Tue, 30 Jul 2002 14:34:22 +0800

Hi Acee,
        You wrote - " virtual link can be configured without a backbone connection". From what I understand, Virtual links are used for
        1) Maintaining a Hub-and-Spoke topology between Backbone area and the Non-Backbone areas.
        2) Connecting physically seperate components of the backbone.
        3) Providing redundant paths for connectivity between Backbone and Non-Backbone areas.
Since all of the above conditions involve at least one Backbone Router, how can the virtual link be configured without a backbone connection? Or does a virtual link have uses other than the ones mentioned above?

Joseph

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]]
Sent: Tuesday, July 30, 2002 11:45 AM
To: [email-masked]
Subject: Re: Virtual Link

Amit Srivastava wrote:

> Hi All,
>     I agree wih Don as we can have the virtual Link
> configured between two ABRs even though they are not
> connected to the backbone.

Hello Amit,

I agree that a virtual link can be "configured" without
a backbone connection.  However, the virtual link is a
backbone interface and once it is "active" both ABRs
will be connected to the backbone.

> It is also documented in
> the Alternative ABR implementation document by ietf.

This is an informational draft.

> My doubt is that in this case the virtual Link will
> come up but will there be any traffic flowing over the
> virtual Link as i think only backbone traffice flows
> over the virtual Link.

Actually, this is inaccurate. Backbone traffic may flow
over the transit area corresponding to the virtual link (refer
to section 16.3 in RFC 2328) - not necessarily the virtual link
itself. However, you are correct that the virtual link will only
be a factor in the route calculation for backbone traffic.

> What do you Say Don and Acee
> Regards
> Amit
>
> --- Acee Lindem <[email-masked]> wrote:
>
>>Don Goodspeed wrote:
>>
>>
>>>My 2 cents...
>>>
>>>Nowhere is section 15 of RFC2328 does it state
>>>
>>that either endpoint
>>
>>>of the virtual link MUST be connected to the
>>>
>>backbone area.  Further,
>>
>>>it does state that the purpose of a virtual-link
>>>
>>is to establish/maintain
>>
>>>backbone connectivity.  In my mind, so long as
>>>
>>each end-point is an ABR,
>>
>>>the virtual-link should be brought up, and
>>>
>>associated with area 0.0.0.0.
>>
>>>In the case below, area 2 would then be used as
>>>
>>the transit-area.
>>
>>>Of course, depending on the OSPF implementation,
>>>
>>the router may
>>
>>>or may not become an ABR without area 0 being
>>>
>>configured on
>>
>>>at least one interface (usually a loopback).
>>>
>>
>>Don,
>>
>>The virtual link itself "counts" as an OSPF
>>interface so any router with
>>an active virtualy link is, by definition, connected
>>to the backbone.
>>
>>Thanks,
>>Acee
>>
>>
>>>In this case, it's
>>>merely a matter of setting up the
>>>
>>virtual-adjacency when the
>>
>>>ABR bit toggle on and tearing it down when the bit
>>>
>>is cleared
>>
>>>(on either end).
>>>
>>>Have fun,
>>>Don
>>>
>>> --- On Mon 07/29, praveendas e  wrote:
>>>From: praveendas e [mailto:
>>>
>>[email-masked]]
>>
>>>To: [email-masked]
>>>Date: Mon, 29 Jul 2002 10:55:43 +0000
>>>Subject: Re: Virtual Link
>>>
>>>
>>>
>>>>Hai Amit
>>>>
>>>>    We know that vitual link are basically for
>>>>
>>the
>>
>>>>back bone connectivety. Now consider a scenirie
>>>>
>>where
>>
>>>>we have R1 connected to area 1 , area 2 ,area 3
>>>>
>>and R2
>>
>>>>connected to area 2 and area 4 now if i want to
>>>>configure a virtual link between R1 and R2 what
>>>>
>>should
>>
>>>>be the LSAs flowing over the virtual link.(As
>>>>
>>there in
>>
>>>>no back bone connectivety)
>>>>Regards
>>>>Amit
>>>>
>>>> Your Scenario is looking like both routers are
>>>>
>>in disconnected area.If
>>
>>>>the
>>>>routers are residing in non backbone area it is
>>>>
>>impossible to have a
>>
>>>>virtual
>>>>link other than chainning of virtual link.For that
>>>>
>>you have to create a
>>
>>>>virtual link b/w R1 or R2 to the router in the
>>>>
>>backbone.
>>
>>>>   About the LSA's passing through this link is
>>>>
>>,it will send all LSA's
>>
>>>>other than External LSA's passing through the
>>>>
>>backbone.
>>
>>>>Hope this help you ....
>>>>Rgds
>>>>Praveendas
>>>>
>>>>
>>>>
>>>>>From: Amit Srivastava
>>>>>Reply-To: Mailing List
>>>>>To: [email-masked]
>>>>>Subject: Virtual Link
>>>>>Date: Mon, 29 Jul 2002 02:10:51 -0700
>>>>>
>>>>>Hi All,
>>>>>   We know that vitual link are basically for
>>>>>
>>the
>>
>>>>>back bone connectivety. Now consider a scenirie
>>>>>
>>where
>>
>>>>>we have R1 connected to area 1 , area 2 ,area 3
>>>>>
>>and R2
>>
>>>>>connected to area 2 and area 4 now if i want to
>>>>>configure a virtual link between R1 and R2 what
>>>>>
>>should
>>
>>>>>be the LSAs flowing over the virtual link.(As
>>>>>
>>there in
>>
>>>>>no back bone connectivety)
>>>>>Regards
>>>>>Amit
>>>>>
>>>>>
>>>>__________________________________________________
>>>>
>>>>>Do You Yahoo!?
>>>>>Yahoo! Health - Feel better, live better
>>>>>http://health.yahoo.com
>>>>>
>>>>>
>>>>
>>>>
>>>_________________________________________________________________
>>>
>>>>Chat with friends online, try MSN Messenger:
>>>>
>>http://messenger.msn.com
>>
>>>>
>>>------------------------------------------------
>>>Join Excite! - http://www.excite.com
>>>The most personalized portal on the Web!
>>>
>>>
>>>
>>
>>--
>>Acee
>>
>
>
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Health - Feel better, live better
> http://health.yahoo.com
>
>

--
Acee

---

From: Amit Srivastava <[email-masked]>
Date: Tue, 30 Jul 2002 01:20:39 -0700

Hi Acee,
    I think the transit area will contain only the
summary LSAs(of both backbone and non-backbone areas)
and no router or network LSA of backbone will be given
to the transit network.Nor the router LSA and network
LSA of the non-backbone area be given to the transit
Area. So in my case i think even though the virtual
Link will be declared up there will be no backbone
traffic for the virtual Link.
RFC 2328 Section 16.3 also states that the transit
area's summary LSA is examined.
What do you say Acee??
Regards
Amit

--- Joseph Placid <[email-masked]>
wrote:
> Hi Acee,
>         You wrote - " virtual link can be configured
> without a backbone connection". From what I
> understand, Virtual links are used for
>         1) Maintaining a Hub-and-Spoke topology
> between Backbone area and the Non-Backbone areas.
>         3) Providing redundant paths for
> connectivity between Backbone and Non-Backbone
> areas.
> Since all of the above conditions involve at least
> one Backbone Router, how can the virtual link be
> configured without a backbone connection? Or does a
> virtual link have uses other than the ones mentioned
> above?
>
> Joseph
>
>
>
>
=== message truncated ===

---

From: Amit Srivastava <[email-masked]>
Date: Tue, 30 Jul 2002 01:24:46 -0700

Hi Acee,
     My doubt is in my case as there is no backbone
connectivity so no backbone traffic will be send over
the virtual Link.But only the summary LSAs of the
nonbackbone area will be send over the virtual Link
Am I right??
Regards
Amit
--- Joseph Placid <[email-masked]>

---

From: Acee Lindem <[email-masked]>
Date: Tue, 30 Jul 2002 08:50:58 -0400

Joseph Placid wrote:

> Since all of the above conditions involve at least one Backbone Router, how can the virtual link be configured without a backbone connection?

> Or does a virtual link have uses other than the ones mentioned above?

Joseph,

Although it wouldn't be a common topology, the backbone could be completely
virtual.  In other words, only virtual links connect ABRs though common
transit area(s). Perhaps, the ambiguity of "connected" in Amit's initial
query caused the confusion. What I trying to articulate in the response below is
that the virtual link is a backbone interface and once it is active (i.e., there
is a route to it through the transit area), the ABR is attached to the backbone.

Thanks,

Acee

--
Acee

---

From: Acee Lindem <[email-masked]>
Date: Tue, 30 Jul 2002 09:02:35 -0400

> nonbackbone area will be send over the virtual Link

Amit,

I think we're having a failure to communicate - if you
have a virtual link you have backbone connectivity.

        Area 0 Virtual Link
       O -  -   -   -  -  -  -  - - O
   +------+                   +--------+
    | R1 |--------------|  R2    |
    +-----+  Area 1    +---------+

       |                              |

    Area 2                    Area 3

In the picture above all traffic between area 2 and area 3
will be via the area 1 (the virtual link's transit area).

Thanks,
Acee

>>>    I agree wih Don as we can have the virtual
>>>
>>Link
>>
>>>configured between two ABRs even though they are
>>>
>>not
>>
>>>the Alternative ABR implementation document by
>>>
>>ietf.
>>
>>
>>>My doubt is that in this case the virtual Link
>>>
>>will
>>
>>>come up but will there be any traffic flowing over
>>>
>>the
>>
>>>virtual Link as i think only backbone traffice
>>>
>>flows
>>
>>>over the virtual Link.
>>>
>>
>>>>an active virtualy link is, by definition,
>>>>
>>connected
>>
>>>>to the backbone.
>>>>
>>>>Thanks,
>>>>Acee
>>>>
>>>>
>>>>
>>>>>In this case, it's
>>>>>ABR bit toggle on and tearing it down when the
>>>>>
>>bit
>>
>>>>is cleared
>>>>
>>>>
>>>>>(on either end).
>>>>>
>>>>>Have fun,
>>>>>Don
>>>>>
>>>>>>link other than chainning of virtual link.For
>>>>>>
>>that
>>

--
Acee